package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.util.core.CofarSDK;

public class SlowCooking010D extends BaseDevMode{
    private boolean startCount = false;

    public SlowCooking010D(){

        this.setMode(WorkModes.SLOW_COOKING);


        //时间
        this.setMinTime(10 * 60);
        this.setMaxTime(90 * 60);
        this.setDefaultTime(60 * 60);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(1);
        this.setMaxMotorGear(3);
        this.setMinMotorGear(1);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(true);
        this.setMotorDirection(MotorDirections.FORWARD);

        //温度
        this.setDefaultTemp(100);
        this.setMinTemp(60);
        this.setMaxTemp(100);

    }


    @Override
    public void start() {
        this.startCount = true;
        super.start();
    }

    @Override
    public void stop() {
        this.startCount = true;
        super.stop();
    }

    @Override
    public boolean startCountTime() {

        if(this.startCount){
            return this.startCount;
        }

        if(CofarSDK.devInfo().getTemp() >= CofarSDK.devInfo().getTargetTemp()){
            this.startCount = true;
            return this.startCountTime();
        }else{
            return false;
        }


    }


}
